
Redmine - Feature #17962

Filterable versions in dropdowns (target version and custom version fields on issues)

2014-09-25 15:53 - Philip Schiffer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues planning Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

We need to be able to filter the version dropdowns to be able to differentiate between sprints and normal release versions. There

would be a custom field for issues where you can either select the release or the sprint and use the target version for the other.

Ideally it would be done with a filter by a custom version field. In the custom issue field with type version you need to be able to filter

based on custom fields of the versions.

We have patched our redmine to create a new version status "sprint" which we use to filter, but that is kinda ugly.

Related issues:

Related to Redmine - Feature #18560: Show issues with custom field of type Ve... New

Is duplicate of Redmine - Feature #21249: Ability to filter issues by attribu... Closed

History

#1 - 2016-06-06 18:16 - Dipan Mehta

As I stated in other issues -

Basically, you can have a 'custom field' "Type" for each version. And then, when you define any other custom field (for issue or otherwise) which

is of type version - it should ask for criteria as "field name" and values can be some conditions. If the field type has multiple values it can be

selected which ones applies. The versions qualified under that condition will then be appeared in the corresponding version field.

 Here it is "sprint" or otherwise.

Following issues have almost the same demands: Do add related

#685

#14250

#18560

#17962

#20100

#2 - 2016-07-02 06:49 - Toshi MARUYAMA

- Related to Feature #18560: Show issues with custom field of type Version as related issues in the Roadmap added

#3 - 2017-03-20 06:05 - Go MAEDA

- Is duplicate of Feature #21249: Ability to filter issues by attributes of a version custom field (e.g. release date) added

#4 - 2017-03-20 06:06 - Go MAEDA

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Duplicate

Implemented by #21249 for upcoming 3.4.0.
